Skip to navigation

Create a Card User

Create one or more Card Users under an existing Buyer. A Card User will receive and spend on-demand Cards. This endpoint is optional and should be used when on-demand Virtual Cards are being created for individuals other than the Account owner.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Request

This endpoint expects an object.
buyerIdstringRequired<=36 characters
A unique Buyer ID that is created during the Buyer enrollment.
cardUserslist of objectsRequired
An array of Card Users to be created under the existing Buyers.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
cardUserslist of objects
An array of Card User to be created under the existing Buyers.
buyerIdstringOptional<=36 characters
A unique Buyer ID that is created during the Buyer enrollment.
statusstringOptional
The status of the Card User.
statusDescriptionstringOptional
The description of the status.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error